---
title: Get all projects
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Case Management
---

# Get all projects{% #get-all-projects %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                            |
| ----------------- | ------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/cases/projects |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/cases/projects |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/cases/projects      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/cases/projects      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/cases/projects  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/cases/projects     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/cases/projects |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/cases/projects |

### Overview

Get all projects.

OAuth apps require the `cases_read` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#case-management) to access this endpoint.



### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response with projects.

| Parent field                   | Field                                           | Type                | Description                                                                |
| ------------------------------ | ----------------------------------------------- | ------------------- | -------------------------------------------------------------------------- |
|                                | data                                            | [object]            | Projects response data.                                                    |
| data                           | attributes [*required*]                    | object              | Project attributes.                                                        |
| attributes                     | columns_config                                  | object              | Project columns configuration.                                             |
| columns_config                 | columns                                         | [object]            | List of column configurations for the project board view.                  |
| columns                        | sort                                            | object              | Sort configuration for a project board column.                             |
| sort                           | ascending                                       | boolean             | Whether to sort in ascending order.                                        |
| sort                           | priority                                        | int64               | The sort priority order for this column.                                   |
| columns                        | sort_field                                      | string              | The field used to sort items in this column.                               |
| columns                        | type                                            | string              | The type of column.                                                        |
| attributes                     | enabled_custom_case_types                       | [string]            | List of enabled custom case type IDs.                                      |
| attributes                     | key                                             | string              | The project's key.                                                         |
| attributes                     | name                                            | string              | Project's name.                                                            |
| attributes                     | restricted                                      | boolean             | Whether the project is restricted.                                         |
| attributes                     | settings                                        | object              | Project settings.                                                          |
| settings                       | auto_close_inactive_cases                       | object              | Auto-close inactive cases settings.                                        |
| auto_close_inactive_cases      | enabled                                         | boolean             | Whether auto-close is enabled.                                             |
| auto_close_inactive_cases      | max_inactive_time_in_secs                       | int64               | Maximum inactive time in seconds before auto-closing.                      |
| settings                       | auto_transition_assigned_cases                  | object              | Auto-transition assigned cases settings.                                   |
| auto_transition_assigned_cases | auto_transition_assigned_cases_on_self_assigned | boolean             | Whether to auto-transition cases when self-assigned.                       |
| settings                       | integration_incident                            | object              | Incident integration settings.                                             |
| integration_incident           | auto_escalation_query                           | string              | Query for auto-escalation.                                                 |
| integration_incident           | default_incident_commander                      | string              | Default incident commander.                                                |
| integration_incident           | enabled                                         | boolean             | Whether incident integration is enabled.                                   |
| integration_incident           | field_mappings                                  | [object]            | List of mappings between incident fields and case fields.                  |
| field_mappings                 | case_field                                      | string              | The case field to map the incident field value to.                         |
| field_mappings                 | incident_user_defined_field_id                  | string              | The identifier of the incident user-defined field to map from.             |
| integration_incident           | incident_type                                   | string              | Incident type.                                                             |
| integration_incident           | severity_config                                 | object              | Severity configuration for mapping incident priorities to case priorities. |
| severity_config                | priority_mapping                                | object              | Mapping of incident severity values to case priority values.               |
| additionalProperties           | <any-key>                                       | string              |
| settings                       | integration_jira                                | object              | Jira integration settings.                                                 |
| integration_jira               | auto_creation                                   | object              | Auto-creation settings for Jira issues from cases.                         |
| auto_creation                  | enabled                                         | boolean             | Whether automatic Jira issue creation is enabled.                          |
| integration_jira               | enabled                                         | boolean             | Whether Jira integration is enabled.                                       |
| integration_jira               | metadata                                        | object              | Metadata for connecting a case management project to a Jira project.       |
| metadata                       | account_id                                      | string              | The Jira account identifier.                                               |
| metadata                       | issue_type_id                                   | string              | The Jira issue type identifier to use when creating issues.                |
| metadata                       | project_id                                      | string              | The Jira project identifier to associate with this case project.           |
| integration_jira               | sync                                            | object              | Synchronization configuration for Jira integration.                        |
| sync                           | enabled                                         | boolean             | Whether Jira field synchronization is enabled.                             |
| sync                           | properties                                      | object              | Field synchronization properties for Jira integration.                     |
| properties                     | assignee                                        | object              | Sync property configuration.                                               |
| assignee                       | sync_type                                       | string              | The direction and type of synchronization for this property.               |
| properties                     | comments                                        | object              | Sync property configuration.                                               |
| comments                       | sync_type                                       | string              | The direction and type of synchronization for this property.               |
| properties                     | custom_fields                                   | object              | Map of custom field identifiers to their sync configurations.              |
| additionalProperties           | <any-key>                                       | object              | Synchronization configuration for a Jira custom field.                     |
| <any-key>                      | sync_type                                       | string              | The type of synchronization to apply for this custom field.                |
| <any-key>                      | value                                           | object <oneOf> | Represents any valid JSON value.                                           |
| value                          | Option 1                                        | string              | A scalar string value.                                                     |
| value                          | Option 2                                        | double              | A scalar numeric value.                                                    |
| value                          | Option 3                                        | object              | An arbitrary object value with additional properties.                      |
| value                          | Option 4                                        | [ <oneOf>]     | An array of arbitrary values.                                              |
| Option 4                       | Option 1                                        | string              | A scalar string value.                                                     |
| Option 4                       | Option 2                                        | double              | A scalar numeric value.                                                    |
| Option 4                       | Option 3                                        | object              | An arbitrary object value with additional properties.                      |
| Option 4                       | Option 4                                        | boolean             | A scalar boolean value.                                                    |
| value                          | Option 5                                        | boolean             | A scalar boolean value.                                                    |
| properties                     | description                                     | object              | Sync property configuration.                                               |
| description                    | sync_type                                       | string              | The direction and type of synchronization for this property.               |
| properties                     | due_date                                        | object              | Due date synchronization configuration for Jira integration.               |
| due_date                       | jira_field_id                                   | string              | The Jira field identifier used to store the due date.                      |
| due_date                       | sync_type                                       | string              | The type of synchronization to apply for the due date field.               |
| properties                     | priority                                        | object              | Sync property with mapping configuration.                                  |
| priority                       | mapping                                         | object              | Map of source values to destination values for synchronization.            |
| additionalProperties           | <any-key>                                       | string              |
| priority                       | name_mapping                                    | object              | Map of source names to display names used during synchronization.          |
| additionalProperties           | <any-key>                                       | string              |
| priority                       | sync_type                                       | string              | The direction and type of synchronization for this property.               |
| properties                     | status                                          | object              | Sync property with mapping configuration.                                  |
| status                         | mapping                                         | object              | Map of source values to destination values for synchronization.            |
| additionalProperties           | <any-key>                                       | string              |
| status                         | name_mapping                                    | object              | Map of source names to display names used during synchronization.          |
| additionalProperties           | <any-key>                                       | string              |
| status                         | sync_type                                       | string              | The direction and type of synchronization for this property.               |
| properties                     | title                                           | object              | Sync property configuration.                                               |
| title                          | sync_type                                       | string              | The direction and type of synchronization for this property.               |
| settings                       | integration_monitor                             | object              | Monitor integration settings.                                              |
| integration_monitor            | auto_resolve_enabled                            | boolean             | Whether auto-resolve is enabled.                                           |
| integration_monitor            | case_type_id                                    | string              | Case type ID for monitor integration.                                      |
| integration_monitor            | enabled                                         | boolean             | Whether monitor integration is enabled.                                    |
| integration_monitor            | handle                                          | string              | Monitor handle.                                                            |
| settings                       | integration_on_call                             | object              | On-Call integration settings.                                              |
| integration_on_call            | auto_assign_on_call                             | boolean             | Whether to auto-assign on-call.                                            |
| integration_on_call            | enabled                                         | boolean             | Whether On-Call integration is enabled.                                    |
| integration_on_call            | escalation_queries                              | [object]            | List of escalation queries for routing cases to on-call responders.        |
| escalation_queries             | enabled                                         | boolean             | Whether this escalation query is enabled.                                  |
| escalation_queries             | id                                              | string              | Unique identifier of the escalation query.                                 |
| escalation_queries             | query                                           | string              | The query used to match cases for escalation.                              |
| escalation_queries             | target                                          | object              | The target recipient for an On-Call escalation query.                      |
| target                         | dynamic_team_paging                             | boolean             | Whether to use dynamic team paging for escalation.                         |
| target                         | team_id                                         | string              | The identifier of the team to escalate to.                                 |
| target                         | user_id                                         | string              | The identifier of the user to escalate to.                                 |
| settings                       | integration_service_now                         | object              | ServiceNow integration settings.                                           |
| integration_service_now        | assignment_group                                | string              | Assignment group.                                                          |
| integration_service_now        | auto_creation                                   | object              | Auto-creation settings for ServiceNow incidents from cases.                |
| auto_creation                  | enabled                                         | boolean             | Whether automatic ServiceNow incident creation is enabled.                 |
| integration_service_now        | enabled                                         | boolean             | Whether ServiceNow integration is enabled.                                 |
| integration_service_now        | instance_name                                   | string              | ServiceNow instance name.                                                  |
| integration_service_now        | sync_config                                     | object              | Synchronization configuration for ServiceNow integration.                  |
| sync_config                    | enabled                                         | boolean             | Whether ServiceNow synchronization is enabled.                             |
| sync_config                    | properties                                      | object              | Field-level synchronization properties for ServiceNow integration.         |
| properties                     | comments                                        | object              | Sync property configuration.                                               |
| comments                       | sync_type                                       | string              | The direction and type of synchronization for this property.               |
| properties                     | priority                                        | object              | Priority synchronization configuration for ServiceNow integration.         |
| priority                       | impact_mapping                                  | object              | Mapping of case priority values to ServiceNow impact values.               |
| additionalProperties           | <any-key>                                       | string              |
| priority                       | sync_type                                       | string              | The type of synchronization to apply for priority.                         |
| priority                       | urgency_mapping                                 | object              | Mapping of case priority values to ServiceNow urgency values.              |
| additionalProperties           | <any-key>                                       | string              |
| properties                     | status                                          | object              | Sync property with mapping configuration.                                  |
| status                         | mapping                                         | object              | Map of source values to destination values for synchronization.            |
| additionalProperties           | <any-key>                                       | string              |
| status                         | name_mapping                                    | object              | Map of source names to display names used during synchronization.          |
| additionalProperties           | <any-key>                                       | string              |
| status                         | sync_type                                       | string              | The direction and type of synchronization for this property.               |
| settings                       | notification                                    | object              | Project notification settings.                                             |
| notification                   | destinations                                    | [integer]           | Notification destinations (1=email, 2=slack, 3=in-app).                    |
| notification                   | enabled                                         | boolean             | Whether notifications are enabled.                                         |
| notification                   | notify_on_case_assignment                       | boolean             | Whether to send a notification when a case is assigned.                    |
| notification                   | notify_on_case_closed                           | boolean             | Whether to send a notification when a case is closed.                      |
| notification                   | notify_on_case_comment                          | boolean             | Whether to send a notification when a comment is added to a case.          |
| notification                   | notify_on_case_comment_mention                  | boolean             | Whether to send a notification when a user is mentioned in a case comment. |
| notification                   | notify_on_case_priority_change                  | boolean             | Whether to send a notification when a case's priority changes.             |
| notification                   | notify_on_case_status_change                    | boolean             | Whether to send a notification when a case's status changes.               |
| notification                   | notify_on_case_unassignment                     | boolean             | Whether to send a notification when a case is unassigned.                  |
| data                           | id [*required*]                            | string              | The Project's identifier.                                                  |
| data                           | relationships                                   | object              | Project relationships.                                                     |
| relationships                  | member_team                                     | object              | Relationship between a team and a team link                                |
| member_team                    | data                                            | [object]            | Related team links                                                         |
| data                           | id [*required*]                            | string              | The team link's identifier                                                 |
| data                           | type [*required*]                          | enum                | Team link type Allowed enum values: `team_links`                           |
| member_team                    | links                                           | object              | Links attributes.                                                          |
| links                          | related                                         | string              | Related link.                                                              |
| relationships                  | member_user                                     | object              | Relationship to users.                                                     |
| member_user                    | data [*required*]                          | [object]            | Relationships to user objects.                                             |
| data                           | id [*required*]                            | string              | A unique identifier that represents the user.                              |
| data                           | type [*required*]                          | enum                | User resource type. Allowed enum values: `user`                            |
| data                           | type [*required*]                          | enum                | Project resource type. Allowed enum values: `project`                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": [
    {
      "attributes": {
        "columns_config": {
          "columns": [
            {
              "sort": {
                "ascending": false,
                "priority": "integer"
              },
              "sort_field": "string",
              "type": "string"
            }
          ]
        },
        "enabled_custom_case_types": [],
        "key": "CASEM",
        "name": "Security Investigation",
        "restricted": false,
        "settings": {
          "auto_close_inactive_cases": {
            "enabled": false,
            "max_inactive_time_in_secs": "integer"
          },
          "auto_transition_assigned_cases": {
            "auto_transition_assigned_cases_on_self_assigned": false
          },
          "integration_incident": {
            "auto_escalation_query": "string",
            "default_incident_commander": "string",
            "enabled": false,
            "field_mappings": [
              {
                "case_field": "string",
                "incident_user_defined_field_id": "string"
              }
            ],
            "incident_type": "string",
            "severity_config": {
              "priority_mapping": {
                "<any-key>": "string"
              }
            }
          },
          "integration_jira": {
            "auto_creation": {
              "enabled": false
            },
            "enabled": false,
            "metadata": {
              "account_id": "string",
              "issue_type_id": "string",
              "project_id": "string"
            },
            "sync": {
              "enabled": false,
              "properties": {
                "assignee": {
                  "sync_type": "string"
                },
                "comments": {
                  "sync_type": "string"
                },
                "custom_fields": {
                  "<any-key>": {
                    "sync_type": "string",
                    "value": {
                      "description": "undefined",
                      "type": "undefined"
                    }
                  }
                },
                "description": {
                  "sync_type": "string"
                },
                "due_date": {
                  "jira_field_id": "string",
                  "sync_type": "string"
                },
                "priority": {
                  "mapping": {
                    "<any-key>": "string"
                  },
                  "name_mapping": {
                    "<any-key>": "string"
                  },
                  "sync_type": "string"
                },
                "status": {
                  "mapping": {
                    "<any-key>": "string"
                  },
                  "name_mapping": {
                    "<any-key>": "string"
                  },
                  "sync_type": "string"
                },
                "title": {
                  "sync_type": "string"
                }
              }
            }
          },
          "integration_monitor": {
            "auto_resolve_enabled": false,
            "case_type_id": "string",
            "enabled": false,
            "handle": "string"
          },
          "integration_on_call": {
            "auto_assign_on_call": false,
            "enabled": false,
            "escalation_queries": [
              {
                "enabled": false,
                "id": "string",
                "query": "string",
                "target": {
                  "dynamic_team_paging": false,
                  "team_id": "string",
                  "user_id": "string"
                }
              }
            ]
          },
          "integration_service_now": {
            "assignment_group": "string",
            "auto_creation": {
              "enabled": false
            },
            "enabled": false,
            "instance_name": "string",
            "sync_config": {
              "enabled": false,
              "properties": {
                "comments": {
                  "sync_type": "string"
                },
                "priority": {
                  "impact_mapping": {
                    "<any-key>": "string"
                  },
                  "sync_type": "string",
                  "urgency_mapping": {
                    "<any-key>": "string"
                  }
                },
                "status": {
                  "mapping": {
                    "<any-key>": "string"
                  },
                  "name_mapping": {
                    "<any-key>": "string"
                  },
                  "sync_type": "string"
                }
              }
            }
          },
          "notification": {
            "destinations": [],
            "enabled": false,
            "notify_on_case_assignment": false,
            "notify_on_case_closed": false,
            "notify_on_case_comment": false,
            "notify_on_case_comment_mention": false,
            "notify_on_case_priority_change": false,
            "notify_on_case_status_change": false,
            "notify_on_case_unassignment": false
          }
        }
      },
      "id": "aeadc05e-98a8-11ec-ac2c-da7ad0900001",
      "relationships": {
        "member_team": {
          "data": [
            {
              "id": "f9bb8444-af7f-11ec-ac2c-da7ad0900001",
              "type": "team_links"
            }
          ],
          "links": {
            "related": "/api/v2/team/c75a4a8e-20c7-11ee-a3a5-da7ad0900002/links"
          }
        },
        "member_user": {
          "data": [
            {
              "id": "00000000-0000-0000-0000-000000000000",
              "type": "user"
            }
          ]
        }
      },
      "type": "project"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="401" %}
Unauthorized
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/cases/projects" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
##### 

```python
"""
Get all projects returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.case_management_api import CaseManagementApi

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = CaseManagementApi(api_client)
    response = api_instance.get_projects()

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
##### 

```ruby
# Get all projects returns "OK" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::CaseManagementAPI.new
p api_instance.get_projects()
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
##### 

```go
// Get all projects returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewCaseManagementApi(apiClient)
	resp, r, err := api.GetProjects(ctx)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `CaseManagementApi.GetProjects`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `CaseManagementApi.GetProjects`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
##### 

```java
// Get all projects returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.CaseManagementApi;
import com.datadog.api.client.v2.model.ProjectsResponse;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    CaseManagementApi apiInstance = new CaseManagementApi(defaultClient);

    try {
      ProjectsResponse result = apiInstance.getProjects();
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling CaseManagementApi#getProjects");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
##### 

```rust
// Get all projects returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_case_management::CaseManagementAPI;

#[tokio::main]
async fn main() {
    let configuration = datadog::Configuration::new();
    let api = CaseManagementAPI::with_config(configuration);
    let resp = api.get_projects().await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
##### 

```typescript
/**
 * Get all projects returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.CaseManagementApi(configuration);

apiInstance
  .getProjects()
  .then((data: v2.ProjectsResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"
{% /tab %}
